import numpy as np
import pandas as pd
import matplotlib.pyplot as plt

path = "./"

sol = pd.read_csv(path + "c2h4_flame_fixed_T.csv")

z = sol["z (m)"]


# plot PAH

# Load ref measured data from paper
xA1, YA1ref = np.loadtxt(path + "exp_Zhao/" + 'YA1.csv', delimiter=';', unpack=True)
xA2, YA2ref = np.loadtxt(path + "exp_Zhao/" + 'YA2.csv', delimiter=';', unpack=True)
xA3, YA3ref = np.loadtxt(path + "exp_Zhao/" + 'YA3.csv', delimiter=';', unpack=True)
xA4, YA4ref = np.loadtxt(path + "exp_Zhao/" + 'YA4.csv', delimiter=';', unpack=True)

plt.figure(figsize = (5,5))

plt.plot(z, sol["A1"], 'k-.', label='benzene')
plt.plot(z, sol["A2"], 'k:', label='naphtalene')
plt.plot(z, sol["A3"], 'k--', label='phenanthrene')
#plt.plot(xinit, YA4corr, 'k', label='pyrene')
plt.plot(z, sol["A4"], 'k', label='pyrene')

plt.plot(xA1, YA1ref, 'k+', label='benzene ref')
plt.plot(xA2, YA2ref, 'kx', label = 'naphtalene ref')
plt.plot(xA3, YA3ref, 'k^', label = 'phenanthrene ref')
plt.plot(xA4, YA4ref, 'kv', label = 'pyrene ref')


plt.text(0.0075, 5.0e-7, '$pyrene$',fontsize = 10)
plt.text(0.0075, 9.0e-6, '$phenanthrene$',fontsize = 10)
plt.text(0.007, 6.0e-5, '$naphtalene$',fontsize = 10)
plt.text(0.007, 6.0e-4, '$benzene$',fontsize = 10)


plt.xlabel('$z [m]$', fontsize=15)
plt.xticks(np.arange(0.0, 0.015, 0.0025))
plt.xlim(0.0,0.015)
plt.ylabel('Mass Fraction', fontsize=15)
plt.yscale('log')
plt.ylim((1.0e-7,2.0e-3))
#plt.title('Volume fraction $f_v$ detected as a function of height above burner', fontsize = 8)

#plt.subplots_adjust(top=0.9, bottom=0.1, left=0.15, right=0.95, hspace=0.25, wspace=0.1)

#plt.legend()
plt.subplots_adjust(top=0.9, bottom=0.1, left=0.15, right=0.95, hspace=0.25, wspace=0.1)
plt.savefig(path + 'YPAH.jpg', format='jpg', dpi=1000)
plt.show()
