"""
===========
Simple Plot
===========

Create a simple plot.
"""

import matplotlib.pyplot as plt
import numpy as np



mAvgj1, dAvgj1, npj1, Nvj1, ndj1, ndExpNorm1, alphaHacaBini1, dcjNano1, kfCoef1, betaSelfAggloSpherej1, betaSelfAggloDcj1, betaSelfAggloHarmonic1, betaCondSpherej1, betaCondDcj1, betaCondharmonic1, surfSphere1, surfFractal1, kn1, ndmj1, ndmjStoch1, NvR1, deltamj1, mInfj1, mSupj1, mAvgVar1, mAvgVarStoch1, mAvgVarR1, t1 = np.loadtxt('psd0.00826585.dat', delimiter='   ', unpack=True)

refdAvg1, refnd1 = np.loadtxt('refPsdH0_55.csv', delimiter=';', unpack=True)





mAvgj4, dAvgj4, npj4, Nvj4, ndj4, ndExpNorm4, alphaHacaBini4, dcjNano4, kfCoef4, betaSelfAggloSpherej4, betaSelfAggloDcj4, betaSelfAggloHarmonic4, betaCondSpherej4, betaCondDcj4, betaCondharmonic4, surfSphere4, surfFractal4, kn4, ndmj4, ndmjStoch4, NvR4, deltamj4, mInfj4, mSupj4, mAvgVar4, mAvgVarStoch4, mAvgVarR4, t4  = np.loadtxt('psd0.0202675.dat', delimiter='   ', unpack=True)

refdAvg9, refnd9 = np.loadtxt('refPsdH1_2.csv', delimiter=';', unpack=True)

#mAvgClusters4, nmClusters4 = np.loadtxt('psdClusters120.dat', delimiter='   ', unpack=True)
#mAvgClusters4, nmClusters4 = np.loadtxt('psdClusters9.709.dat', delimiter='   ', unpack=True)


#mRef45, ndMassReft45 = np.loadtxt('refCase3.1.2t45.csv', delimiter=';', unpack=True)

#mRef115, ndMassReft115 = np.loadtxt('refCase3.1.2t115.csv', delimiter=';', unpack=True)

#mRef120, ndMassReft120 = np.loadtxt('refCase3.1.2t120.csv', delimiter=';', unpack=True)

N0 =1.0
v0 = 1.0
beta0 = 1.0
k = 1.0

mInit = np.linspace(1.0e-3, 100.0, 1e6)
ndInit = N0 / v0 * np.exp(-mInit/v0)

t = 7.0
mAnalyticalt7 = np.linspace(1.0e-2, 1.0e6, 1e6)
#ndAnalyticalt7 = 1.0
ndAnalyticalt7 = 4.0*N0/(v0*np.power(2.0+N0*beta0*t,2.0)) * np.exp(-2.0*mAnalyticalt7 / v0 / (2.0+N0*beta0*t)*np.exp(-k*t) - k*t )

plt.figure(figsize = (5,5))


#plt.plot(mAvg1,ndMass1*mAvg1, 'k.')

#plt.plot(mAvgVar4, ndMass4*mAvgVar4, 'b+-')


plt.plot(dAvgj1, ndj1, label = 'present calculation. HAB = 0.55 cm')
plt.plot(dAvgj4, ndj4, label = 'present calculation. HAB = 1.2 cm')

#plt.plot(dAvgj1, ndj1*mAvgVar1)
#plt.plot(dAvgj4, ndj4*mAvgVar4)

#plt.plot(mAvgVar1, ndj1)
#plt.plot(mAvgVar4, ndj4)

plt.plot(refdAvg1, refnd1, 'k--', label = 'reference calculation. HAB = 0.55 cm')
plt.plot(refdAvg9,refnd9, 'k--', label = 'reference calculation. HAB = 1.2 cm')

#plt.plot(refdAvg1, refnd1, 'k--', label = 'reference simulation')
#plt.xlabel('$d [nm]$')
#plt.ylabel('$n(d) [cm^{-3}]$')
plt.xscale('log')
plt.yscale('log')
plt.ylim(1.0e7,1.0e12)
#plt.ylim(0.0,1.0e11)
#plt.ylim(1.0e7,1.0e12)
#plt.ylim(1e-12,2.0e-7)
plt.xlim(1,25)

plt.xlabel('particle diameter [nm]')
plt.ylabel('$n(v)$')
#plt.xlim(1.05,25.0)
#plt.xlim(1e-22,2e-17)
#plt.xlim(0.5e4,3.0e4)
#plt.title('psdInit npStoch, pbeMethod npStochPart, grid geo2,\n mAvgMin = 1.0e-3, time step: substeps, Np = 1e3',  fontsize=10)
#plt.text(4.0, 4.0e11, '$H = 0.55$ cm',fontsize = 8)
#plt.tick_params(labelbottom='off')
#plt.text(1.0, 1.0, '$H=0.55 cm$')
plt.legend()
#plt.legend(bbox_to_anchor=(1.12, 1.0))

#plt.subplots_adjust(top=0.92, bottom=0.08, left=0.10, right=0.95, hspace=0.25, wspace=0.35)
#plt.subplots_adjust(top=0.95, bottom=0.1, left=0.15, right=0.95, hspace=0.15, wspace=0.1)

plt.savefig('PSD.jpg', format='jpg', dpi=1000)

plt.show()
